"""First migration

Revision ID: da6f2da8a477
Revises: 
Create Date: 2021-11-12 14:19:13.552465

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
import flat_sale

revision = 'da6f2da8a477'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('korisnik',
    sa.Column('ime', sa.String(), nullable=True),
    sa.Column('prezime', sa.String(), nullable=True),
    sa.Column('rola', flat_sale.types.ChoiceEnum('Administrator', 'Prodavac', 'Finansije', name='korisnikroles'), nullable=False),
    sa.Column('korisnicko_ime', sa.String(length=50), nullable=False),
    sa.Column('sifra', sa.String(length=225), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('datum_azuriranja', sa.DateTime(), nullable=True),
    sa.Column('datum_kreiranja', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('korisnicko_ime')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('korisnik')
    # ### end Alembic commands ###
